Get certified for free when you join Fabric Data Days 2026 and dive into Fabric, Power BI, SQL, AI, and other essential data skills.
Join nowData Days is here! Join us now for 60+ days of learning, challenges, and connection. Learn more
Hi All
Wanted to test some REST API refreshes - refresh only one table partition. After some testing, my steps worked. But after the weekend, everytime I send the command, each time it is refeshed as whole table, not only one partition.
Here the commands I use:
$uri='https://api.powerbi.com/v1.0/myorg/groups/ /datasets//refreshes'
$body=@"
{
"refresh": {
"type": "full",
"objects": [
{
"database": "FI Report - Betriebskosten v30 Custom partition 2",
"table": "FI-GL T CH MIS - PBI Extrakt",
"partition": "Get-Data0"
}
]
}
}
"@
Invoke-PowerBIRestMethod -Method POST -URL $uri -Body $body -ContentType Application/JSON.
Any idea, why it could be not working anymore? Is there any limitation, or could some admin (of PBI or network) restrict this?
Thanks for any advice.
Solved! Go to Solution.
Thank you for the answer. THe refresh policy otion is not working, when added.
The body part should be correct, i make a copy from SSMS (from the XMLA script).
Most interesting is, that the commands worked, and after weekend, it stoped. There is no error returned (have modified the body so that i get error and then corrected).
WS is premium.
Hi @tomas12344 ,
You can refer the following links to refresh partition by REST API:
Datasets - Refresh Dataset - REST API (Power BI Power BI REST APIs) | Microsoft Learn
{
"type": "full",
"commitMode": "transactional",
"objects": [
{
"table": "Customer",
"partition": "Robert"
}
],
"applyRefreshPolicy": "false"
}
Using the Power BI Async REST API to refresh a partition with Power Automate (Using an HTTPS URL)
There could be a few reasons why the Power BI REST API is not refreshing a specific partition of a table. One possibility is that the table does not have an incremental refresh policy. For tables with no incremental refresh policy, that one partition contains all rows of data for that table, unless filters have been applied.
Another possibility is that the request payload for the POST /refreshes method is not set correctly. An enhanced refresh is triggered only if a request payload other than notifyOption is set. For enhanced refresh, notifyOption is not required and must be excluded from the request body. However, one or more parameters other than notifyOption are required.
Datasets - Refresh Dataset - REST API (Power BI Power BI REST APIs) | Microsoft Learn
Best Regards
Thank you for the answer. THe refresh policy otion is not working, when added.
The body part should be correct, i make a copy from SSMS (from the XMLA script).
Most interesting is, that the commands worked, and after weekend, it stoped. There is no error returned (have modified the body so that i get error and then corrected).
WS is premium.
Don't miss out on Data Days, June 15 through August 7. Learn Fabric, Power BI, SQL, AI and more.
Check out the May 2026 Power BI update to learn about new features.
| User | Count |
|---|---|
| 2 | |
| 2 | |
| 1 | |
| 1 | |
| 1 |